Subject: Re: [PATCH v9 6/7] update-ref and tag: add --create-reflog arg

From: Michael Haggerty <[email-masked]>
Date: Tue, 21 Jul 2015 13:06:42 -0700

On 07/21/2015 01:02 PM, Michael Haggerty wrote:
> On 07/21/2015 09:42 AM, Junio C Hamano wrote:
>> David Turner <[email-masked]> writes:
>>
>>> diff --git a/builtin/update-ref.c b/builtin/update-ref.c
>>> index 6763cf1..d9646ef 100644
>>> --- a/builtin/update-ref.c
>>> +++ b/builtin/update-ref.c
>>> @@ -14,6 +14,7 @@ static const char * const git_update_ref_usage[] = {
>>>  
>>>  static char line_termination = '\n';
>>>  static int update_flags;
>>> +int create_reflog_flag;
>>
>> No need to reroll only for this, but I'll s/^int/static &/; while
>> queuing.
>>
>> I may have more comments later; this was found in the first pass.
> 
> In fact, this variable is used as the "flags" argument to
> ref_transaction_create(), so it should be
> 
>     s/^int/static unsigned &/

Actually, the same comment applies to "static int update_flags", which I
know was already wrong. Obviously neither of these are terribly critical.

Michael

-- 
Michael Haggerty
[email-masked]